@import '_content/Toolbelt.Blazor.PWA.Updater/Toolbelt.Blazor.PWA.Updater.bundle.scp.css';

/* /Components/SignDocument.razor.rz.scp.css */
.div-info[b-p3qx7we09p] {
    position: absolute;
    z-index: -1;
    overflow: hidden;
    font-size: x-large;
    text-align: center;
    font-size: small;
    opacity: .6;
    animation-name: scrensaver-b-p3qx7we09p;
    animation-duration: 20s;
    animation-iteration-count: infinite;
    animation-delay: 10s;
}
    .div-info[hidden][b-p3qx7we09p] {
        animation-name: none;
        opacity: 0;
    }

@keyframes scrensaver-b-p3qx7we09p {
    0% {transform: translate(0,0); }
    20% {transform: translate(-40px, -40px); }
    40% {transform: translate(80px, -40px); }
    60% {transform: translate(80px, 40px); }
    80% {transform: translate(-40px, 40px); }
    100% {transform: translate(0px, 0px); }
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-3w4f2l2d0y] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-3w4f2l2d0y] {
    flex: 1;
}

.sidebar[b-3w4f2l2d0y] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-3w4f2l2d0y] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-3w4f2l2d0y]  a, .top-row[b-3w4f2l2d0y]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-3w4f2l2d0y]  a:hover, .top-row[b-3w4f2l2d0y]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-3w4f2l2d0y]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-3w4f2l2d0y] {
        display: none;
    }

    .top-row.auth[b-3w4f2l2d0y] {
        justify-content: space-between;
    }

    .top-row[b-3w4f2l2d0y]  a, .top-row[b-3w4f2l2d0y]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-3w4f2l2d0y] {
        flex-direction: row;
    }

    .sidebar[b-3w4f2l2d0y] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-3w4f2l2d0y] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-3w4f2l2d0y]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-3w4f2l2d0y], article[b-3w4f2l2d0y] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
